---
layout: docs
page_title: managed-groups list - Command
description: >-
  The "managed-groups list" command lists the available managed group resources within a scope or resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# managed-groups list

Command: `boundary managed-groups list`

The `boundary managed-groups list` command lets you list the Boundary managed groups within a given scope or resource.

## Example

This example lists all managed groups within the scope `s_1234567890`:

```shell-session
$ boundary managed-groups list -scope-id s_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary managed-groups list [options] [args]
```

</CodeBlockConfig>

### Command options

- `auth-method-id=<string>` - The auth method resource to use for this operation.
You can also specify the auth method using the **BOUNDARY_AUTH_METHOD_ID** environment variable.
- `-filter=<string>` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `list_token` (optional) - An opaque token that is returned from the previous `list` response.
If you do not supply a value, pagination starts from the beginning.
- `page_size` (optional) - An unsigned integer that indicates the number of items that should be included on the page of search results.
If you do not provide a value, or if you provide a value of `0`, Boundary uses the default page size of 1000 items.
If you configure it, the `page_size` value overrides the default page size.
Controller administrators can also configure a `max_page_size` option that constrains the maximum page size a user can request.

@include 'cmd-option-note.mdx'